package com.bgy.sms.channel.bgy.config;

/**
 * 内容枚举类
 */
public enum ContentEnum {


    SMS_TYPE_NOTIFICATION("notification", "通知类短信标识"),
    SMS_TYPE_MARKETING("marketing", "营销类短信标识"),


    SMS_STATUS_SUCCESS("DELIVRD", "碧桂园短信发送状态--成功"),
    SMS_STATUS_UNKNOWN("UNKNOWN", "碧桂园短信发送状态--未知"),
    SMS_STATUS_REFUSE("REJECTD", "碧桂园短信发送状态--短信中心拒绝"),
    SMS_STATUS_MBBLACK("MBBLACK", "碧桂园短信发送状态--黑名单号码"),
    SMS_STATUS_REJECT("REJECT", "碧桂园短信发送状态--驳回");

    private final String value;

    private final String desc;


    ContentEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }


    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

}
