package com.bgy.sms.service.impl;

import com.bgy.config.DB;
import com.bgy.config.DataSourceType;
import com.bgy.sms.repository.mapper.XiaoShuMapper;
import com.bgy.sms.service.XiaoShuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class XiaoShuServiceImpl implements XiaoShuService {

    @Autowired
    private XiaoShuMapper xiaoShuMapper;

    @Override
    @DB(value = DataSourceType.DB2)
    public String selectUserIdByTemplate(String templateId) {
        String loginName = xiaoShuMapper.getLoginNameByTempId(templateId);

        return loginName;
    }

    @Override
    @DB(value = DataSourceType.DB2)
    public void updateSmsTemplateStatus(String templateId) {
        xiaoShuMapper.updateSmsTemplateStatus(templateId);
    }
}
